// ==UserScript==
// @name        Fix site width on ikea.com
// @description   ikea.com has a wrong boxing model, which drives users with any modern browser nuts.
// @author      Tobias Schmidl
// @namespace   https://www.schtobia.de/
// @include     http://*.ikea.com/*
// @include     https://*.ikea.com/*
// @version     1.0.1
// @grant       GM_addStyle
// @downloadURL   https://github.com/schtobia/greasemonkey/raw/master/ikea-fix-boxing.user.js
// @updateURL     https://github.com/schtobia/greasemonkey/raw/master/ikea-fix-boxing.user.js
// ==/UserScript==
GM_addStyle("#allContent { width: 128em !important; }");
GM_addStyle("#mainPadding { width: initial !important; }");

